org.apache.tinkerpop.gremlin.process.traversal.step.map

## Interface MatchStep.MatchAlgorithm

- All Superinterfaces:
    Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>, Serializable
  All Known Implementing Classes:
    MatchStep.CountMatchAlgorithm, MatchStep.GreedyMatchAlgorithm
  Enclosing class:
    MatchStep<S,E>

      public static interface MatchStep.MatchAlgorithm
      extends Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>, Serializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function<List<Traversal.Admin<Object,Object>>,IllegalStateException>` | `UNMATCHABLE_PATTERN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(TraversalEngine.Type traversalEngineType, List<Traversal.Admin<Object,Object>> traversals)`
    `default void` | `recordEnd(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`
    `default void` | `recordStart(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, apply, compose, identity`

- - ### Field Detail

    - #### UNMATCHABLE_PATTERN

          static final Function<List<Traversal.Admin<Object,Object>>,IllegalStateException> UNMATCHABLE_PATTERN

  - ### Method Detail

    - #### initialize

          void initialize(TraversalEngine.Type traversalEngineType,
                          List<Traversal.Admin<Object,Object>> traversals)

    - #### recordStart

          default void recordStart(Traverser.Admin<Object> traverser,
                                   Traversal.Admin<Object,Object> traversal)

    - #### recordEnd

          default void recordEnd(Traverser.Admin<Object> traverser,
                                 Traversal.Admin<Object,Object> traversal)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.